package com.redxun.knowledge.album.entity.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 文件名: AlbumVersionDetailVo
 * 作者: Zizg
 * 时间: 2023/2/2
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("版本详情回显")
@Data
public class AlbumVersionDetailVo implements Serializable {

    @ApiModelProperty("版本Id")
    private String pkId;

    @ApiModelProperty("专辑简介")
    private String summary;

    @ApiModelProperty("审核Id")
    private String approvalId;


    @ApiModelProperty("审批记录")
    private List<AlbumApproveVo> approvalFlows;

    //@ApiModelProperty("回复内容")
    //private List<Void> replies;

}
