package com.redxun.knowledge.album.mapper;


import com.redxun.common.base.db.BaseDao;
import com.redxun.knowledge.album.entity.dao.AlbumApprovalNode;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* 业务--专辑审核流程节点表数据库访问层
*/
@Mapper
public interface AlbumApprovalNodeMapper extends BaseDao<AlbumApprovalNode> {

    /**
     * 清除原有数据
     */
    void deleteAll();

    /**
     * 查询部门及下级部门
     * @param userDeptId
     * @param approverId
     * @return
     */
    Integer selectAllByDeptId(@Param("userDeptId") String userDeptId, @Param("approverId") String approverId);

}
