package com.redxun.knowledge.map.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 文件名: MapGroupPurviewUserVo
 * 作者: Zizg
 * 时间: 2023/1/13
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Data
public class MapGroupPurviewUserVo implements Serializable {

    //可阅读者Id
    private String pkId;

    //员工Id
    private String userId;

    //工号
    private String userNo;

    //所属组织
    private String groupSummary;

    //职位
    private String positionGrade;

    //员工姓名
    private String fullName;

    //添加时间
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date createTime;
}
