package com.redxun.knowledge.analysis.mapper;

import com.redxun.knowledge.analysis.entity.vo.SystemCompanyVo;
import com.redxun.knowledge.analysis.entity.vo.SystemDetailVisitsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 文件名: AnalysisSearchMapper
 * 作者: zizg
 * 时间: 2023/3/23
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Mapper
public interface AnalysisSearchMapper {

    /**
     * 各业务系统分布
     * @param firstDay
     * @param lastDay
     * @return
     */
    List<SystemDetailVisitsVo> searchSystemDetailVisits(@Param("firstDay") String firstDay, @Param("lastDay") String lastDay);

    /**
     * 组织访问量
     * @param firstDay
     * @param lastDay
     * @param sort
     * @return
     */
    List<SystemCompanyVo> organizationSearchs(@Param("firstDay") String firstDay, @Param("lastDay") String lastDay, @Param("sort") String sort);
}
